<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="FicheIndividuelleLA"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="28"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="DIRECTORY_JASPER" isForPrompting="false" class="java.lang.String">
		<parameterDescription><![CDATA[BASE DIR pour subreports]]></parameterDescription>
		<defaultValueExpression ><![CDATA["/Users/christine/Projets/WebObjects/Gepeto/ManGUE/Impressions/"]]></defaultValueExpression>
	</parameter>
	<parameter name="DIRECTORY_IMPRESSION" isForPrompting="false" class="java.lang.String">
		<parameterDescription><![CDATA[Directory pour génération des fichiers XML
ou autre sur le serveur]]></parameterDescription>
		<defaultValueExpression ><![CDATA["/tmp/Mangue/XML/"]]></defaultValueExpression>
	</parameter>
	<parameter name="NUMERO_FICHIER" isForPrompting="false" class="java.lang.String"/>
	<parameter name="ETABLISSEMENT" isForPrompting="false" class="java.lang.String"/>
	<parameter name="RNE" isForPrompting="false" class="java.lang.String"/>
	<parameter name="ACADEMIE" isForPrompting="false" class="java.lang.String"/>


		<group  name="Fiche" >
			<groupExpression><![CDATA[null]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="48"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="0"
						width="204"
						height="45"
						key="ministere"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font fontName="Arial" pdfFontName="Helvetica-BoldOblique" size="10" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[MINISTERE DE L'ENSEIGNEMENT SUPÉRIEUR
ET DE LA RECHERCHE
--DGRH C2-2 --]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="406"
						y="0"
						width="127"
						height="16"
						key="ministere-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font fontName="Arial" pdfFontName="Helvetica-BoldOblique" size="12" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[ANNEXE C2a]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="57"  isSplitAllowed="true" >
				<subreport  isUsingCache="true">
					<reportElement
						mode="Opaque"
						x="1"
						y="5"
						width="533"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="Details-1"
						positionType="Float"
						isRemoveLineWhenBlank="true"/>
					<subreportParameter  name="DIRECTORY_JASPER">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_JASPER}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="DIRECTORY_IMPRESSION">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_IMPRESSION}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="NUMERO_FICHIER">
						<subreportParameterExpression><![CDATA[$P{NUMERO_FICHIER}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="ETABLISSEMENT">
						<subreportParameterExpression><![CDATA[$P{ETABLISSEMENT}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="RNE">
						<subreportParameterExpression><![CDATA[$P{RNE}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="ACADEMIE">
						<subreportParameterExpression><![CDATA[$P{ACADEMIE}]]></subreportParameterExpression>
					</subreportParameter>
					<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRXmlDataSource($P{DIRECTORY_IMPRESSION}+"HistoPromotion" + $P{NUMERO_FICHIER} + ".XML","/HistoPromotion")]]></dataSourceExpression>
					<subreportExpression  class="java.lang.String"><![CDATA[$P{DIRECTORY_JASPER}+"DetailLA.jasper"]]></subreportExpression>
				</subreport>
				<break>
					<reportElement
						x="0"
						y="34"
						width="535"
						height="0"
						key="element-1"/>
				</break>
				<subreport  isUsingCache="true">
					<reportElement
						mode="Opaque"
						x="1"
						y="34"
						width="533"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="Details-2"
						positionType="Float"
						isRemoveLineWhenBlank="true"/>
					<subreportParameter  name="DIRECTORY_JASPER">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_JASPER}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="DIRECTORY_IMPRESSION">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_IMPRESSION}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="NUMERO_FICHIER">
						<subreportParameterExpression><![CDATA[$P{NUMERO_FICHIER}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="ETABLISSEMENT">
						<subreportParameterExpression><![CDATA[$P{ETABLISSEMENT}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="RNE">
						<subreportParameterExpression><![CDATA[$P{RNE}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="ACADEMIE">
						<subreportParameterExpression><![CDATA[$P{ACADEMIE}]]></subreportParameterExpression>
					</subreportParameter>
					<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRXmlDataSource($P{DIRECTORY_IMPRESSION}+"HistoPromotion" + $P{NUMERO_FICHIER} + ".XML","/HistoPromotion")]]></dataSourceExpression>
					<subreportExpression  class="java.lang.String"><![CDATA[$P{DIRECTORY_JASPER}+"DetailFonctionService.jasper"]]></subreportExpression>
				</subreport>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
